Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.bridges.jsdm
Class JSDMSimilarity

    java.lang.Object
      infomat.vectorspace.similarity.ISimilarity
          infomat.vectorspace.similarity.DenseISimilarity
              infomat.bridges.jsdm.JSDMSimilarity

All Implemented Interfaces:
  HasProperties

    public class JSDMSimilarity

extends DenseISimilarity

Uses the Cosine Similarity in JSDM, but does not normalize the group vectors.

Field Summary
`private JSDMWrapper` | `jsdmw`

Fields inherited from class infomat.vectorspace.similarity.ISimilarity
`properties`

Constructor Summary
`JSDMSimilarity(JSDMWrapper jsdmw)`

Method Summary
`private void` | `add(float[] cumulator, float[] addition)`
`Properties` | `getDefaultProperties()`
`float[]` | `getGroupRepresentation(IObjectGroup iog)`
`java.lang.String` | `getName()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`float[]` | `getRepresentation(IObject io)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`float` | `sim(float[] repr1, float[] repr2)`
`float` | `sim(IObjectGroup iog1, IObjectGroup iog2)`
`float` | `sim(IObject io1, IObject io2)`
`float` | `sim(IObject io, IObjectGroup iog)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jsdmw

    private JSDMWrapper jsdmw

Constructor Detail

### JSDMSimilarity

    public JSDMSimilarity(JSDMWrapper jsdmw)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

### setProperties

    public void setProperties(Properties properties)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `ISimilarity`

### sim

    public float sim(IObject io1,
                     IObject io2)

  Specified by:
    `sim` in class `ISimilarity`

### sim

    public float sim(IObject io,
                     IObjectGroup iog)

  Specified by:
    `sim` in class `ISimilarity`

### sim

    public float sim(IObjectGroup iog1,
                     IObjectGroup iog2)

  Specified by:
    `sim` in class `ISimilarity`

### sim

    public float sim(float[] repr1,
                     float[] repr2)

  Specified by:
    `sim` in class `DenseISimilarity`

### getRepresentation

    public float[] getRepresentation(IObject io)

  Specified by:
    `getRepresentation` in class `DenseISimilarity`

### getGroupRepresentation

    public float[] getGroupRepresentation(IObjectGroup iog)

  Specified by:
    `getGroupRepresentation` in class `DenseISimilarity`

### add

    private void add(float[] cumulator,
                     float[] addition)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD